
--
-- Структура таблицы `admin_block`
--

CREATE TABLE IF NOT EXISTS `admin_block` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL COMMENT 'id пользователя',
  `password` varchar(244) NOT NULL COMMENT 'пороль администратора',
  `login` varchar(244) NOT NULL COMMENT 'Логин администратора',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Логин пороля администратора' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `ban_users`
--

CREATE TABLE IF NOT EXISTS `ban_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `id_admin` int(11) NOT NULL,
  `text` text NOT NULL,
  `time_1` int(11) NOT NULL,
  `time_2` int(11) NOT NULL,
  `prichina` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `download_dir`
--

CREATE TABLE IF NOT EXISTS `download_dir` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `time` int(11) NOT NULL,
  `dir_path` varchar(500) NOT NULL,
  `dir_index` int(11) NOT NULL,
  `vib` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `download_file`
--

CREATE TABLE IF NOT EXISTS `download_file` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_dir` int(11) NOT NULL,
  `name` varchar(300) NOT NULL,
  `message` text NOT NULL,
  `type` varchar(300) NOT NULL,
  `size` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `author` varchar(255) NOT NULL,
  `cou` int(11) NOT NULL,
  `screen` varchar(550) NOT NULL,
  `names` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `name_2` (`name`),
  FULLTEXT KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `down_comment`
--

CREATE TABLE IF NOT EXISTS `down_comment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_file` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `author` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_cat`
--

CREATE TABLE IF NOT EXISTS `forum_cat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `message` varchar(255) NOT NULL,
  `time` int(11) NOT NULL,
  `icon` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_mess`
--

CREATE TABLE IF NOT EXISTS `forum_mess` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_cat` int(11) NOT NULL,
  `id_razd` int(11) NOT NULL,
  `id_them` int(11) NOT NULL,
  `id_user` int(11) NOT NULL,
  `message` varchar(255) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_razd`
--

CREATE TABLE IF NOT EXISTS `forum_razd` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_cat` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `message` varchar(255) NOT NULL,
  `time` int(11) NOT NULL,
  `icon` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `forum_them`
--

CREATE TABLE IF NOT EXISTS `forum_them` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_cat` int(11) NOT NULL COMMENT 'ID категории',
  `id_razd` int(11) NOT NULL COMMENT 'ID раздела',
  `name` varchar(244) NOT NULL COMMENT 'Название темы',
  `user_id` int(11) NOT NULL,
  `view` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `close` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `name_2` (`name`),
  FULLTEXT KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `libs`
--

CREATE TABLE IF NOT EXISTS `libs` (
  `name` varchar(255) NOT NULL,
  `time` int(11) NOT NULL,
  `text` varchar(255) NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `libs_comm`
--

CREATE TABLE IF NOT EXISTS `libs_comm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `id_stat` int(11) NOT NULL,
  `time` int(11) NOT NULL,
  `text` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `libs_stat`
--

CREATE TABLE IF NOT EXISTS `libs_stat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `time` int(11) NOT NULL,
  `text` text NOT NULL,
  `user_id` int(11) NOT NULL,
  `dir` int(11) NOT NULL,
  `prosm` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `logs_aut`
--

CREATE TABLE IF NOT EXISTS `logs_aut` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `ip` int(11) NOT NULL,
  `method` varchar(15) NOT NULL,
  `port` varchar(10) NOT NULL,
  `time` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------


--
-- Структура таблицы `mails`
--

CREATE TABLE IF NOT EXISTS `mails` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `read` varchar(255) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `posted` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


-- --------------------------------------------------------


--
-- Структура таблицы `menu_list`
--

CREATE TABLE IF NOT EXISTS `menu_list` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `icons` varchar(255) NOT NULL,
  `mes` int(11) NOT NULL,
  `dir` varchar(50) NOT NULL,
  `count` varchar(255) NOT NULL,
  `style` varchar(255) NOT NULL DEFAULT 'posts_gl',
  `time` int(11) NOT NULL,
  `close` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Дамп данных таблицы `menu_list`
--

INSERT INTO `menu_list` (`id`, `name`, `icons`, `mes`, `dir`, `count`, `style`, `time`, `close`) VALUES
(4, 'Загрузки', 'obmen.png', 4, '/download/', 'download.php', 'posts_gl', 0, '0'),
(3, 'Форум', 'forum.png', 3, '/forum/', 'forum.php', 'posts_gl', 0, '0'),
(2, 'Мини-чат', 'chat.png', 2, '/shouts/', 'chat.php', 'posts_gl', 0, '0'),
(1, 'Новости', 'news.png', 1, '/uncos/', 'uncos.php', 'posts_gl', 0, '0'),
(5, 'Библиотека', 'file_libs.png', 5, '/libs/', 'libs.php', 'posts_gl', 0, '0');



-- --------------------------------------------------------

--
-- Структура таблицы `online_guest`
--

CREATE TABLE IF NOT EXISTS `online_guest` (
  `id` int(6) NOT NULL AUTO_INCREMENT,
  `ip` char(15) DEFAULT NULL,
  `time` int(11) NOT NULL,
  `ua` varchar(255) NOT NULL,
  UNIQUE KEY `id` (`id`),
  KEY `ip` (`ip`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `online_guest`
--

INSERT INTO `online_guest` (`id`, `ip`, `time`, `ua`) VALUES
(1, '2130706433', 1350229606, 'Opera');

-- --------------------------------------------------------

--
-- Структура таблицы `options`
--

CREATE TABLE IF NOT EXISTS `options` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `str` int(11) NOT NULL COMMENT 'Навигация постраничная',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `options`
--

INSERT INTO `options` (`id`, `str`) VALUES
(1, 15);

-- --------------------------------------------------------

--
-- Структура таблицы `pass_secure`
--

CREATE TABLE IF NOT EXISTS `pass_secure` (
  `time` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `reklama`
--

CREATE TABLE IF NOT EXISTS `reklama` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL COMMENT 'Название рекламы',
  `link` varchar(255) NOT NULL COMMENT 'Ссылка рекламы',
  `time` int(11) NOT NULL COMMENT 'Время добавление рекламы',
  `setup` enum('0','1') NOT NULL DEFAULT '0',
  `list` varchar(255) NOT NULL,
  `time_end` int(11) NOT NULL,
  `img` varchar(244) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Реклама' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------
--
-- Структура таблицы `rules`
--

CREATE TABLE IF NOT EXISTS `rules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rules` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Правила Сайта' AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `rules`
--

INSERT INTO `rules` (`id`, `rules`) VALUES
(1, '[post]Мы настоятельно рекомендуем прочитать правила, это займет у вас всего минут пять, но сбережет нам и вам время и поможет сделать сайт более интересным и организованным.[/post][post][b]1.[/b] Строго запрещены мат и любые нецензурные выражения, также запрещены оскорбления пользователей (в особенности, администрации).\r\n[b]2.[/b] Запрещён флуд. Сообщения, состоящие только из смайликов.\r\n\r\n[b]3.[/b] Запрещено использование рекламы с целью личного обогащения.\r\n\r\n[b]4.[/b] Запрещена выгрузка файлов сомнительного содержания, СМС-алармов и подобного. Запрещена реклама иных ресурсов в названии или описании файла.\r\n\r\n\r\n[b]5.[/b] Строго запрещена выгрузка детской порнографии.\r\n\r\n\r\n[b]6.[/b] Запрещено намеренное клонирование ников других посетителей сайта. Имеется в виду регистрация под ником, схожим по написанию или звучанию с ником другого пользователя (особенно модератора или администратора), для намеренного введения в заблуждение пользователей сайта. Также запрещено регистрироваться под никами, которые могут ввести в заблуждение новичков сайта, например "Модератор", "Админ" и т.п.\r\n\r\n\r\n[b]7.[/b] Запрещены призывы к нарушению законодательства РФ.\r\n\r\n[b]8.[/b] Запрещено оскорбление и угрозы в адрес посетителей сайта.\r\n\r\n[b]9.[/b] За неуважение к администрации следует бан.\r\n\r\n[b]10.[/b] Запрещено дублирование тем в форуме.\r\n[b]11.[/b] Название темы в форуме должно быть информативным, из него должна быть понятна тема вопроса.[/post][post][fontred]При нарушение каких либо пунков правил вы будете забанены.[/fontred]\r\n[/post]');

-- --------------------------------------------------------

--
-- Структура таблицы `settings_shcms`
--

CREATE TABLE IF NOT EXISTS `settings_shcms` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `copyright` varchar(255) NOT NULL,
  `cms` varchar(255) NOT NULL,
  `author` varchar(255) NOT NULL,
  `them` varchar(100) NOT NULL,
  `description` text NOT NULL,
  `keywords` varchar(255) NOT NULL,
  `act_reg` tinytext NOT NULL,
  `captcha_guest` enum('0','1') NOT NULL DEFAULT '1',
  `captcha_reg` enum('0','1') NOT NULL DEFAULT '1',
  `captcha_aut` enum('0','1') NOT NULL DEFAULT '1',
  `id_aut` enum('0','1','2') NOT NULL DEFAULT '0',
  `trans` enum('0','1') NOT NULL DEFAULT '0',
  `close_site` enum('0','1') NOT NULL DEFAULT '0',
  `close_text` varchar(400) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Системные настройки' AUTO_INCREMENT=2 ;

--
-- Дамп данных таблицы `settings_shcms`
--

INSERT INTO `settings_shcms` (`id`, `title`, `copyright`, `cms`, `author`, `them`, `description`, `keywords`, `act_reg`, `captcha_guest`, `captcha_reg`, `captcha_aut`, `id_aut`, `trans`, `close_site`, `close_text`) VALUES
(1, 'SHCMS Engine - CMS система управления сайтом', 'Copyright © 2012  Powered by SHCMS Engine.', 'SHCMS Engine', 'Shamsik', 'default', 'SHCMS Engine wap-web движок для вашего сайта', 'shcms,shcms engine', '1', '', '', '', '', '1', '', '[img]../template/shcms.png[/img]\r\n[b]Сайт временно не доступен[/b]');

-- --------------------------------------------------------

--
-- Структура таблицы `shouts`
--

CREATE TABLE IF NOT EXISTS `shouts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `text` text NOT NULL COMMENT 'Текст сообщения',
  `time` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Мини-чат' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `title_name`
--

CREATE TABLE IF NOT EXISTS `title_name` (
  `title_obmen` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `title_name`
--

INSERT INTO `title_name` (`title_obmen`) VALUES
('Файловый обменник');

-- --------------------------------------------------------

--
-- Структура таблицы `uncos`
--

CREATE TABLE IF NOT EXISTS `uncos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `title` varchar(100) NOT NULL,
  `user_id` int(11) NOT NULL,
  `send` int(11) NOT NULL DEFAULT '0',
  `komm` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  FULLTEXT KEY `text` (`text`),
  FULLTEXT KEY `title` (`title`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `uncos_comment`
--

CREATE TABLE IF NOT EXISTS `uncos_comment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_uncos` int(11) NOT NULL,
  `text` text NOT NULL,
  `time` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `komm` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Комментарии к новостям' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(25) NOT NULL DEFAULT '' COMMENT 'Имя пользователя',
  `login` varchar(40) NOT NULL DEFAULT '' COMMENT 'Логин пользователя',
  `password` varchar(32) NOT NULL DEFAULT '' COMMENT 'Пороль(сгенерированный))',
  `failed_login` tinyint(4) NOT NULL DEFAULT '0',
  `datereg` int(11) NOT NULL DEFAULT '0' COMMENT 'Дата регистрации',
  `lastdate` int(11) NOT NULL DEFAULT '0',
  `ip` varchar(25) NOT NULL DEFAULT '' COMMENT 'ip адрес пользователя',
  `sestime` int(15) NOT NULL DEFAULT '0',
  `email` varchar(150) NOT NULL COMMENT 'эл.почта пользователя',
  `flogged_n` varchar(50) NOT NULL,
  `flogged_t` int(11) NOT NULL,
  `icq` int(10) NOT NULL DEFAULT '0',
  `skype` varchar(50) NOT NULL DEFAULT '0',
  `money` int(11) NOT NULL DEFAULT '0' COMMENT 'Деньги пользователя',
  `ball` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'Монеты',
  `us_d` int(2) NOT NULL DEFAULT '0' COMMENT 'День рождения',
  `us_m` int(2) NOT NULL DEFAULT '0' COMMENT 'Месяц рождения',
  `us_g` int(4) NOT NULL DEFAULT '0' COMMENT 'Год рождения',
  `team` int(11) NOT NULL DEFAULT '1' COMMENT 'Группа пользоваателя на сайте',
  `last_name` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `wmid` bigint(12) NOT NULL,
  `datelast` int(11) NOT NULL,
  `poc_icq` enum('0','1') NOT NULL DEFAULT '1' COMMENT 'Показать ICQ',
  `poc_email` enum('0','1') NOT NULL DEFAULT '1' COMMENT 'Показать E-mail',
  `poc_wmid` enum('0','1') NOT NULL DEFAULT '1' COMMENT 'Показать WMID',
  `pol` enum('1','2') NOT NULL,
  `time_dv` varchar(11) NOT NULL,
  `wap` varchar(50) NOT NULL DEFAULT 'shcms',
  `web` varchar(50) NOT NULL DEFAULT 'shcms_web',
  PRIMARY KEY (`id`),
  KEY `name_lat` (`login`),
  KEY `lastdate` (`lastdate`),
  KEY `id` (`id`),
  FULLTEXT KEY `login` (`login`),
  FULLTEXT KEY `email` (`email`),
  FULLTEXT KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Пользователи' AUTO_INCREMENT=1 ;



--
-- Структура таблицы `users_doub`
--

CREATE TABLE IF NOT EXISTS `users_doub` (
  `text` text NOT NULL,
  `login` varchar(255) NOT NULL,
  `time` int(11) NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;